---
layout: docs
page_title: 'Commands: acl auth-method list'
description: The auth-method list command is used to list existing ACL Auth Methods.
---

# Command: acl auth-method list

The `acl auth-method list` command is used to list existing ACL Auth Methods.

## Usage

```plaintext
nomad acl auth-method list [options]
```

## General Options

@include 'general_options_no_namespace.mdx'

## List Options

- `-json` : Output the ACL auth-methods in a JSON format.

- `-t` : Format and display the ACL auth-methods using a Go template.

## Examples

List all ACL Auth Methods:

```shell-session
$ nomad acl auth-method list
Name                     Type  Default
example-acl-auth-method  OIDC  false
```
